@import (reference) '../../../less/platoreso.less';

.list.card.preview {

  font-size: 0.85rem;

  &:not(:last-child) {
    margin-bottom: 0.5em;
  }

  .cardLayout {
    padding: 0.5em 0.75em 0.25em 0.75em;

    .content {
      //white-space: nowrap;

      .name {
        line-height: 1.25em;
      }

      .body > p, .name {
        overflow: hidden;
        text-overflow: ellipsis;
      }
    }

    .metadata {
      font-size: 0.65rem;
      .info {
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
        .author, .created-date {
          display: inline;
        }
      }
      .stats {
        font-size: 0.65rem;
        justify-content: flex-end;
        flex: 0 0 auto;
        .stat {
          margin-right: 0.75em;
        }
      }
      .actions {
        flex: 0 0 auto;
      }
    }
  }
}